/*
 * debug.h
 *
 * debugger interface
 */

/* $Id: debug.h,v 1.3 1998/07/14 01:42:49 nyef Exp $ */

#ifndef __DEBUG_H__
#define __DEBUG_H__

void deb(void *context);

extern void (*display_header)(void);
extern void (*display_vectors)(void);
extern unsigned char (*mem_read_byte)(unsigned short address);
extern void (*trace)(void *context);
extern void (*freerun)(void *context);
extern int (*disassemble)(int start_addr, int end_addr);

#endif /* __DEBUG_H__ */

/*
 * $Log: debug.h,v $
 * Revision 1.3  1998/07/14 01:42:49  nyef
 * added definition for disassemble().
 *
 * Revision 1.2  1998/07/14 01:29:58  nyef
 * added definition for trace proc pointer.
 *
 * Revision 1.1  1998/07/11 22:16:20  nyef
 * Initial revision
 *
 */
