/*
 * emu65c02.h
 *
 * 65c02 emulation defines
 */

/* $Id: emu65c02.h,v 1.2 1998/10/12 20:25:11 nyef Exp $ */

#ifndef __EMU65C02_H__
#define __EMU65C02_H__

#ifndef __EMU6502_H__
#include "emu6502.h"
#endif

/* registers */

/* emu65c02 uses the same register layout as emu6502 */


/* functions */

/*
 * these are the only functions currently different between emu6502 and
 * emu65c02. for all other operations use the emu6502 functions.
 */

void emu65c02_reset(struct emu6502_context *context);
void emu65c02_init(struct emu6502_context *context);

#endif /* __EMU65C02_H__ */

/*
 * $Log: emu65c02.h,v $
 * Revision 1.2  1998/10/12 20:25:11  nyef
 * Stripped file down to bare essentials and fixed to once more be
 * compatible with emu6502.
 *
 * Revision 1.1  1998/07/11 22:17:20  nyef
 * Initial revision
 *
 */
