/*
 * emu6502a.S
 *
 * 6502 emulator core (with undocumented instrs)
 */

/* $Id: emu6502a.S,v 1.1 1998/10/11 21:37:32 nyef Exp $ */

#include "opc6502.h"
/* #include "opc6502a.h" */

/* reset CPU */
	.globl SYMNAME(emu6502a_reset)
SYMLABEL(emu6502a_reset)
	pushl %ebp
	movl 0x08(%esp), %ebp

	/* this should really be in the init function */
	movl $SYMNAME(opc6502a_map), decodemap
	
	movl SYMNAME(bank_E), %esi
	movw 0x1ffc(%esi), %ax
	movw %ax, reg_PC
	
	popl %ebp
	ret

/* initialize all emulator tables */
	.globl SYMNAME(emu6502a_init)
SYMLABEL(emu6502a_init)
	ret

/*
 * $Log: emu6502a.S,v $
 * Revision 1.1  1998/10/11 21:37:32  nyef
 * Initial revision
 *
 */
