/*
 * emu6502a.h
 *
 * 6502 emulation defines (with undocumented instrs)
 */

/* $Id: emu6502a.h,v 1.1 1998/10/11 21:37:28 nyef Exp $ */

#ifndef __EMU6502A_H__
#define __EMU6502A_H__

#include "emu6502.h"

/* registers */

/* emu6502a uses the same register layout as emu6502 */


/* functions */

/*
 * these are the only functions currently different between emu6502 and
 * emu6502a. for all other operations use the emu6502 functions.
 */

void emu6502a_reset(struct emu6502_context *context);
void emu6502a_init(struct emu6502_context *context);

#endif /* __EMU6502A_H__ */

/*
 * $Log: emu6502a.h,v $
 * Revision 1.1  1998/10/11 21:37:28  nyef
 * Initial revision
 *
 */
