/*
 * emu65c02.S
 *
 * 65c02 emulator core
 */

/* $Id: emu65c02.S,v 1.4 1999/01/12 03:02:19 nyef Exp $ */

#include "opc6502.h"
#include "opc65c02.h"

/* reset CPU */
	.globl SYMNAME(emu65c02_reset)
SYMLABEL(emu65c02_reset)
	pushl %ebp
	movl 0x08(%esp), %ebp

	/* this should really be in the init function */
	movl $SYMNAME(opc65c02_map), decodemap

	movl $0xfffc, %edi
	MemReadW(Norm)
	movw %ax, reg_PC

	popl %ebp
	ret

/* initialize all emulator tables */
	.globl SYMNAME(emu65c02_init)
SYMLABEL(emu65c02_init)
	ret

/*
 * $Log: emu65c02.S,v $
 * Revision 1.4  1999/01/12 03:02:19  nyef
 * fixed to use the correct decode table (oops).
 * fixed to use the more general method of obtaining the reset vector.
 *
 * Revision 1.3  1998/10/12 20:25:20  nyef
 * Stripped file down to bare essentials and fixed to once more be
 * compatible with emu6502.
 *
 * Revision 1.2  1998/07/31 01:37:01  nyef
 * added some SYMNAME/SYMLABELs for DJGPP compatability.
 *
 * Revision 1.1  1998/07/11 22:17:17  nyef
 * Initial revision
 *
 */
