/*
 * opc6502a.S
 *
 * 6502 opcode emulation (with undocumented instrs)
 */

/* $Id: opc6502a.S,v 1.1 1998/10/11 21:37:14 nyef Exp $ */

#include "opc6502.h"

/* opcode map */
	.globl SYMNAME(opc6502a_map)
SYMLABEL(opc6502a_map)
	.long op_BRK		/* 00 */
	.long op_ORA_indx	/* 01 */
	.long op_UNIMP		/* 02 */
	.long op_UNIMP		/* 03 */
	.long op_NOP_1		/* 04 */ /* UNDOC */
	.long op_ORA_zpage	/* 05 */
	.long op_ASL_zpage	/* 06 */
	.long op_UNIMP		/* 07 */
	.long op_PHP		/* 08 */
	.long op_ORA_imm	/* 09 */
	.long op_ASL_a		/* 0A */
	.long op_UNIMP		/* 0B */
	.long op_NOP_2		/* 0C */ /* UNDOC */
	.long op_ORA_abs	/* 0D */
	.long op_ASL_abs	/* 0E */
	.long op_UNIMP		/* 0F */
	.long op_BPL		/* 10 */
	.long op_ORA_indy	/* 11 */
	.long op_UNIMP		/* 12 */
	.long op_UNIMP		/* 13 */
	.long op_NOP_1		/* 14 */ /* UNDOC */
	.long op_ORA_zpagex	/* 15 */
	.long op_ASL_zpagex	/* 16 */
	.long op_UNIMP		/* 17 */
	.long op_CLC		/* 18 */
	.long op_ORA_absy	/* 19 */
	.long op_NOP		/* 1A */ /* UNDOC */
	.long op_UNIMP		/* 1B */
	.long op_NOP_2		/* 1C */ /* UNDOC */
	.long op_ORA_absx	/* 1D */
	.long op_ASL_absx	/* 1E */
	.long op_UNIMP		/* 1F */
	.long op_JSR_abs	/* 20 */
	.long op_AND_indx	/* 21 */
	.long op_UNIMP		/* 22 */
	.long op_UNIMP		/* 23 */
	.long op_BIT_zpage	/* 24 */
	.long op_AND_zpage	/* 25 */
	.long op_ROL_zpage	/* 26 */
	.long op_UNIMP		/* 27 */
	.long op_PLP		/* 28 */
	.long op_AND_imm	/* 29 */
	.long op_ROL_a		/* 2A */
	.long op_UNIMP		/* 2B */
	.long op_BIT_abs	/* 2C */
	.long op_AND_abs	/* 2D */
	.long op_ROL_abs	/* 2E */
	.long op_UNIMP		/* 2F */
	.long op_BMI		/* 30 */
	.long op_AND_indy	/* 31 */
	.long op_UNIMP		/* 32 */
	.long op_UNIMP		/* 33 */
	.long op_NOP_1		/* 34 */ /* UNDOC */
	.long op_AND_zpagex	/* 35 */
	.long op_ROL_zpagex	/* 36 */
	.long op_UNIMP		/* 37 */
	.long op_SEC		/* 38 */
	.long op_AND_absy	/* 39 */
	.long op_NOP		/* 3A */ /* UNDOC */
	.long op_UNIMP		/* 3B */
	.long op_NOP_2		/* 3C */ /* UNDOC */
	.long op_AND_absx	/* 3D */
	.long op_ROL_absx	/* 3E */
	.long op_UNIMP		/* 3F */
	.long op_RTI		/* 40 */
	.long op_EOR_indx	/* 41 */
	.long op_UNIMP		/* 42 */
	.long op_UNIMP		/* 43 */
	.long op_UNIMP		/* 44 */
	.long op_EOR_zpage	/* 45 */
	.long op_LSR_zpage	/* 46 */
	.long op_UNIMP		/* 47 */
	.long op_PHA		/* 48 */
	.long op_EOR_imm	/* 49 */
	.long op_LSR_a		/* 4A */
	.long op_UNIMP		/* 4B */
	.long op_JMP_abs	/* 4C */
	.long op_EOR_abs	/* 4D */
	.long op_LSR_abs	/* 4E */
	.long op_UNIMP		/* 4F */
	.long op_BVC		/* 50 */
	.long op_EOR_indy	/* 51 */
	.long op_UNIMP		/* 52 */
	.long op_UNIMP		/* 53 */
	.long op_NOP_1		/* 54 */ /* UNDOC */
	.long op_EOR_zpagex	/* 55 */
	.long op_LSR_zpagex	/* 56 */
	.long op_UNIMP		/* 57 */
	.long op_CLI		/* 58 */
	.long op_EOR_absy	/* 59 */
	.long op_NOP		/* 5A */ /* UNDOC */
	.long op_UNIMP		/* 5B */
	.long op_NOP_2		/* 5C */ /* UNDOC */
	.long op_EOR_absx	/* 5D */
	.long op_LSR_absx	/* 5E */
	.long op_UNIMP		/* 5F */
	.long op_RTS		/* 60 */
	.long op_ADC_indx	/* 61 */
	.long op_UNIMP		/* 62 */
	.long op_UNIMP		/* 63 */
	.long op_NOP_1		/* 64 */ /* UNDOC */
	.long op_ADC_zpage	/* 65 */
	.long op_ROR_zpage	/* 66 */
	.long op_UNIMP		/* 67 */
	.long op_PLA		/* 68 */
	.long op_ADC_imm	/* 69 */
	.long op_ROR_a		/* 6A */
	.long op_UNIMP		/* 6B */
	.long op_JMP_ind	/* 6C */
	.long op_ADC_abs	/* 6D */
	.long op_ROR_abs	/* 6E */
	.long op_UNIMP		/* 6F */
	.long op_BVS		/* 70 */
	.long op_ADC_indy	/* 71 */
	.long op_UNIMP		/* 72 */
	.long op_UNIMP		/* 73 */
	.long op_NOP_1		/* 74 */ /* UNDOC */
	.long op_ADC_zpagex	/* 75 */
	.long op_ROR_zpagex	/* 76 */
	.long op_UNIMP		/* 77 */
	.long op_SEI		/* 78 */
	.long op_ADC_absy	/* 79 */
	.long op_NOP		/* 7A */ /* UNDOC */
	.long op_UNIMP		/* 7B */
	.long op_NOP_2		/* 7C */ /* UNDOC */
	.long op_ADC_absx	/* 7D */
	.long op_ROR_absx	/* 7E */
	.long op_UNIMP		/* 7F */
	.long op_NOP_1		/* 80 */ /* UNDOC */ /* this may just be NOP */
	.long op_STA_indx	/* 81 */
	.long op_UNIMP		/* 82 */
	.long op_UNIMP		/* 83 */
	.long op_STY_zpage	/* 84 */
	.long op_STA_zpage	/* 85 */
	.long op_STX_zpage	/* 86 */
	.long op_UNIMP		/* 87 */
	.long op_DEY		/* 88 */
	.long op_NOP_1		/* 89 */ /* UNDOC */
	.long op_TXA		/* 8A */
	.long op_UNIMP		/* 8B */
	.long op_STY_abs	/* 8C */
	.long op_STA_abs	/* 8D */
	.long op_STX_abs	/* 8E */
	.long op_UNIMP		/* 8F */
	.long op_BCC		/* 90 */
	.long op_STA_indy	/* 91 */
	.long op_UNIMP		/* 92 */
	.long op_UNIMP		/* 93 */
	.long op_STY_zpagex	/* 94 */
	.long op_STA_zpagex	/* 95 */
	.long op_STX_zpagey	/* 96 */
	.long op_UNIMP		/* 97 */
	.long op_TYA		/* 98 */
	.long op_STA_absy	/* 99 */
	.long op_TXS		/* 9A */
	.long op_UNIMP		/* 9B */
	.long op_UNIMP		/* 9C */
	.long op_STA_absx	/* 9D */
	.long op_UNIMP		/* 9E */
	.long op_UNIMP		/* 9F */
	.long op_LDY_imm	/* A0 */
	.long op_LDA_indx	/* A1 */
	.long op_LDX_imm	/* A2 */
	.long op_UNIMP		/* A3 */
	.long op_LDY_zpage	/* A4 */
	.long op_LDA_zpage	/* A5 */
	.long op_LDX_zpage	/* A6 */
	.long op_UNIMP		/* A7 */
	.long op_TAY		/* A8 */
	.long op_LDA_imm	/* A9 */
	.long op_TAX		/* AA */
	.long op_UNIMP		/* AB */
	.long op_LDY_abs	/* AC */
	.long op_LDA_abs	/* AD */
	.long op_LDX_abs	/* AE */
	.long op_UNIMP		/* AF */
	.long op_BCS		/* B0 */
	.long op_LDA_indy	/* B1 */
	.long op_UNIMP		/* B2 */
	.long op_UNIMP		/* B3 */
	.long op_LDY_zpagex	/* B4 */
	.long op_LDA_zpagex	/* B5 */
	.long op_LDX_zpagey	/* B6 */
	.long op_UNIMP		/* B7 */
	.long op_CLV		/* B8 */
	.long op_LDA_absy	/* B9 */
	.long op_TSX		/* BA */
	.long op_UNIMP		/* BB */
	.long op_LDY_absx	/* BC */
	.long op_LDA_absx	/* BD */
	.long op_LDX_absy	/* BE */
	.long op_UNIMP		/* BF */
	.long op_CPY_imm	/* C0 */
	.long op_CMP_indx	/* C1 */
	.long op_UNIMP		/* C2 */
	.long op_UNIMP		/* C3 */
	.long op_CPY_zpage	/* C4 */
	.long op_CMP_zpage	/* C5 */
	.long op_DEC_zpage	/* C6 */
	.long op_UNIMP		/* C7 */
	.long op_INY		/* C8 */
	.long op_CMP_imm	/* C9 */
	.long op_DEX		/* CA */
	.long op_UNIMP		/* CB */
	.long op_CPY_abs	/* CC */
	.long op_CMP_abs	/* CD */
	.long op_DEC_abs	/* CE */
	.long op_UNIMP		/* CF */
	.long op_BNE		/* D0 */
	.long op_CMP_indy	/* D1 */
	.long op_UNIMP		/* D2 */
	.long op_UNIMP		/* D3 */
	.long op_NOP_1		/* D4 */ /* UNDOC */
	.long op_CMP_zpagex	/* D5 */
	.long op_DEC_zpagex	/* D6 */
	.long op_UNIMP		/* D7 */
	.long op_CLD		/* D8 */
	.long op_CMP_absy	/* D9 */
	.long op_NOP		/* DA */ /* UNDOC */
	.long op_UNIMP		/* DB */
	.long op_NOP_2		/* DC */ /* UNDOC */
	.long op_CMP_absx	/* DD */
	.long op_DEC_absx	/* DE */
	.long op_UNIMP		/* DF */
	.long op_CPX_imm	/* E0 */
	.long op_SBC_indx	/* E1 */
	.long op_UNIMP		/* E2 */
	.long op_UNIMP		/* E3 */
	.long op_CPX_zpage	/* E4 */
	.long op_SBC_zpage	/* E5 */
	.long op_INC_zpage	/* E6 */
	.long op_UNIMP		/* E7 */
	.long op_INX		/* E8 */
	.long op_SBC_imm	/* E9 */
	.long op_NOP		/* EA */
	.long op_UNIMP		/* EB */
	.long op_CPX_abs	/* EC */
	.long op_SBC_abs	/* ED */
	.long op_INC_abs	/* EE */
	.long op_UNIMP		/* EF */
	.long op_BEQ		/* F0 */
	.long op_SBC_indy	/* F1 */
	.long op_UNIMP		/* F2 */
	.long op_UNIMP		/* F3 */
	.long op_NOP_1		/* F4 */ /* UNDOC */
	.long op_SBC_zpagex	/* F5 */
	.long op_INC_zpagex	/* F6 */
	.long op_UNIMP		/* F7 */
	.long op_SED		/* F8 */
	.long op_SBC_absy	/* F9 */
	.long op_NOP		/* FA */ /* UNDOC */
	.long op_UNIMP		/* FB */
	.long op_NOP_2		/* FC */ /* UNDOC */
	.long op_SBC_absx	/* FD */
	.long op_INC_absx	/* FE */
	.long op_UNIMP		/* FF */


/* emulation register map */
/* %edi = effective address */
/* %esi = memaccess scratch */
/* %edx = PC */
/* %cl = A */
/* %ch = P */
/* %bl = X */
/* %bh = Y */
/* %ax = opcode scratch */


/*
 * NOTE: The cycle timing on the undocumented instructions is not gauranteed
 * to be correct. I feel that it is not worth the effort to ensure that they
 * have precise timing values at this time.
 */

	.globl op_NOP_1
op_NOP_1:
	incw %dx
	Continue

	.globl op_NOP_2
op_NOP_2:
	addw $2, %dx
	Continue
	
/*
 * $Log: opc6502a.S,v $
 * Revision 1.1  1998/10/11 21:37:14  nyef
 * Initial revision
 *
 */