/*
 * opc65c02.S
 *
 * 65c02 opcode emulation
 */

/* $Id: opc65c02.S,v 1.6 1999/02/02 16:50:21 nyef Exp $ */

#include "opc65c02.h"

/* opcode map */
	.globl SYMNAME(opc65c02_map)
SYMLABEL(opc65c02_map)
	.long op_BRK		/* 00 */
	.long op_ORA_indx	/* 01 */
	.long op_UNIMP_NOP	/* 02 */
	.long op_UNIMP_NOP	/* 03 */
	.long op_TSB_zpage	/* 04 */
	.long op_ORA_zpage	/* 05 */
	.long op_ASL_zpage	/* 06 */
	.long op_UNIMP_NOP	/* 07 */
	.long op_PHP		/* 08 */
	.long op_ORA_imm	/* 09 */
	.long op_ASL_a		/* 0A */
	.long op_UNIMP_NOP	/* 0B */
	.long op_TSB_abs	/* 0C */
	.long op_ORA_abs	/* 0D */
	.long op_ASL_abs	/* 0E */
	.long op_UNIMP_NOP	/* 0F */
	.long op_BPL		/* 10 */
	.long op_ORA_indy	/* 11 */
	.long op_ORA_ind	/* 12 */
	.long op_UNIMP_NOP	/* 13 */
	.long op_TRB_zpage	/* 14 */
	.long op_ORA_zpagex	/* 15 */
	.long op_ASL_zpagex	/* 16 */
	.long op_UNIMP_NOP	/* 17 */
	.long op_CLC		/* 18 */
	.long op_ORA_absy	/* 19 */
	.long op_INC_a		/* 1A */
	.long op_UNIMP_NOP	/* 1B */
	.long op_TRB_abs	/* 1C */
	.long op_ORA_absx	/* 1D */
	.long op_ASL_absx	/* 1E */
	.long op_UNIMP_NOP	/* 1F */
	.long op_JSR_abs	/* 20 */
	.long op_AND_indx	/* 21 */
	.long op_UNIMP_NOP	/* 22 */
	.long op_UNIMP_NOP	/* 23 */
	.long op_BIT_zpage	/* 24 */
	.long op_AND_zpage	/* 25 */
	.long op_ROL_zpage	/* 26 */
	.long op_UNIMP_NOP	/* 27 */
	.long op_PLP		/* 28 */
	.long op_AND_imm	/* 29 */
	.long op_ROL_a		/* 2A */
	.long op_UNIMP_NOP	/* 2B */
	.long op_BIT_abs	/* 2C */
	.long op_AND_abs	/* 2D */
	.long op_ROL_abs	/* 2E */
	.long op_UNIMP_NOP	/* 2F */
	.long op_BMI		/* 30 */
	.long op_AND_indy	/* 31 */
	.long op_AND_ind	/* 32 */
	.long op_UNIMP_NOP	/* 33 */
	.long op_BIT_zpagex	/* 34 */
	.long op_AND_zpagex	/* 35 */
	.long op_ROL_zpagex	/* 36 */
	.long op_UNIMP_NOP	/* 37 */
	.long op_SEC		/* 38 */
	.long op_AND_absy	/* 39 */
	.long op_DEC_a		/* 3A */
	.long op_UNIMP_NOP	/* 3B */
	.long op_BIT_absx	/* 3C */
	.long op_AND_absx	/* 3D */
	.long op_ROL_absx	/* 3E */
	.long op_UNIMP_NOP	/* 3F */
	.long op_RTI		/* 40 */
	.long op_EOR_indx	/* 41 */
	.long op_UNIMP_NOP	/* 42 */
	.long op_UNIMP_NOP	/* 43 */
	.long op_UNIMP_NOP	/* 44 */
	.long op_EOR_zpage	/* 45 */
	.long op_LSR_zpage	/* 46 */
	.long op_UNIMP_NOP	/* 47 */
	.long op_PHA		/* 48 */
	.long op_EOR_imm	/* 49 */
	.long op_LSR_a		/* 4A */
	.long op_UNIMP_NOP	/* 4B */
	.long op_JMP_abs	/* 4C */
	.long op_EOR_abs	/* 4D */
	.long op_LSR_abs	/* 4E */
	.long op_UNIMP_NOP	/* 4F */
	.long op_BVC		/* 50 */
	.long op_EOR_indy	/* 51 */
	.long op_EOR_ind	/* 52 */
	.long op_UNIMP_NOP	/* 53 */
	.long op_UNIMP_NOP	/* 54 */
	.long op_EOR_zpagex	/* 55 */
	.long op_LSR_zpagex	/* 56 */
	.long op_UNIMP_NOP	/* 57 */
	.long op_CLI		/* 58 */
	.long op_EOR_absy	/* 59 */
	.long op_PHY		/* 5A */
	.long op_UNIMP_NOP	/* 5B */
	.long op_UNIMP_NOP	/* 5C */
	.long op_EOR_absx	/* 5D */
	.long op_LSR_absx	/* 5E */
	.long op_UNIMP_NOP	/* 5F */
	.long op_RTS		/* 60 */
	.long op_ADC_indx	/* 61 */
	.long op_UNIMP_NOP	/* 62 */
	.long op_UNIMP_NOP	/* 63 */
	.long op_STZ_zpage	/* 64 */
	.long op_ADC_zpage	/* 65 */
	.long op_ROR_zpage	/* 66 */
	.long op_UNIMP_NOP	/* 67 */
	.long op_PLA		/* 68 */
	.long op_ADC_imm	/* 69 */
	.long op_ROR_a		/* 6A */
	.long op_UNIMP_NOP	/* 6B */
	.long op_65c02_JMP_ind	/* 6C */
	.long op_ADC_abs	/* 6D */
	.long op_ROR_abs	/* 6E */
	.long op_UNIMP_NOP	/* 6F */
	.long op_BVS		/* 70 */
	.long op_ADC_indy	/* 71 */
	.long op_ADC_ind	/* 72 */
	.long op_UNIMP_NOP	/* 73 */
	.long op_STZ_zpagex	/* 74 */
	.long op_ADC_zpagex	/* 75 */
	.long op_ROR_zpagex	/* 76 */
	.long op_UNIMP_NOP	/* 77 */
	.long op_SEI		/* 78 */
	.long op_ADC_absy	/* 79 */
	.long op_PLY		/* 7A */
	.long op_UNIMP_NOP	/* 7B */
	.long op_JMP_indx	/* 7C */
	.long op_ADC_absx	/* 7D */
	.long op_ROR_absx	/* 7E */
	.long op_UNIMP_NOP	/* 7F */
	.long op_BRA		/* 80 */
	.long op_STA_indx	/* 81 */
	.long op_UNIMP_NOP	/* 82 */
	.long op_UNIMP_NOP	/* 83 */
	.long op_STY_zpage	/* 84 */
	.long op_STA_zpage	/* 85 */
	.long op_STX_zpage	/* 86 */
	.long op_UNIMP_NOP	/* 87 */
	.long op_DEY		/* 88 */
	.long op_BIT_imm	/* 89 */
	.long op_TXA		/* 8A */
	.long op_UNIMP_NOP	/* 8B */
	.long op_STY_abs	/* 8C */
	.long op_STA_abs	/* 8D */
	.long op_STX_abs	/* 8E */
	.long op_UNIMP_NOP	/* 8F */
	.long op_BCC		/* 90 */
	.long op_STA_indy	/* 91 */
	.long op_STA_ind	/* 92 */
	.long op_UNIMP_NOP	/* 93 */
	.long op_STY_zpagex	/* 94 */
	.long op_STA_zpagex	/* 95 */
	.long op_STX_zpagey	/* 96 */
	.long op_UNIMP_NOP	/* 97 */
	.long op_TYA		/* 98 */
	.long op_STA_absy	/* 99 */
	.long op_TXS		/* 9A */
	.long op_UNIMP_NOP	/* 9B */
	.long op_STZ_abs	/* 9C */
	.long op_STA_absx	/* 9D */
	.long op_STZ_absx	/* 9E */
	.long op_UNIMP_NOP	/* 9F */
	.long op_LDY_imm	/* A0 */
	.long op_LDA_indx	/* A1 */
	.long op_LDX_imm	/* A2 */
	.long op_UNIMP_NOP	/* A3 */
	.long op_LDY_zpage	/* A4 */
	.long op_LDA_zpage	/* A5 */
	.long op_LDX_zpage	/* A6 */
	.long op_UNIMP_NOP	/* A7 */
	.long op_TAY		/* A8 */
	.long op_LDA_imm	/* A9 */
	.long op_TAX		/* AA */
	.long op_UNIMP_NOP	/* AB */
	.long op_LDY_abs	/* AC */
	.long op_LDA_abs	/* AD */
	.long op_LDX_abs	/* AE */
	.long op_UNIMP_NOP	/* AF */
	.long op_BCS		/* B0 */
	.long op_LDA_indy	/* B1 */
	.long op_LDA_ind	/* B2 */
	.long op_UNIMP_NOP	/* B3 */
	.long op_LDY_zpagex	/* B4 */
	.long op_LDA_zpagex	/* B5 */
	.long op_LDX_zpagey	/* B6 */
	.long op_UNIMP_NOP	/* B7 */
	.long op_CLV		/* B8 */
	.long op_LDA_absy	/* B9 */
	.long op_TSX		/* BA */
	.long op_UNIMP_NOP	/* BB */
	.long op_LDY_absx	/* BC */
	.long op_LDA_absx	/* BD */
	.long op_LDX_absy	/* BE */
	.long op_UNIMP_NOP	/* BF */
	.long op_CPY_imm	/* C0 */
	.long op_CMP_indx	/* C1 */
	.long op_UNIMP_NOP	/* C2 */
	.long op_UNIMP_NOP	/* C3 */
	.long op_CPY_zpage	/* C4 */
	.long op_CMP_zpage	/* C5 */
	.long op_DEC_zpage	/* C6 */
	.long op_UNIMP_NOP	/* C7 */
	.long op_INY		/* C8 */
	.long op_CMP_imm	/* C9 */
	.long op_DEX		/* CA */
	.long op_WAI		/* CB */
	.long op_CPY_abs	/* CC */
	.long op_CMP_abs	/* CD */
	.long op_DEC_abs	/* CE */
	.long op_UNIMP_NOP	/* CF */
	.long op_BNE		/* D0 */
	.long op_CMP_indy	/* D1 */
	.long op_CMP_ind	/* D2 */
	.long op_UNIMP_NOP	/* D3 */
	.long op_UNIMP_NOP	/* D4 */
	.long op_CMP_zpagex	/* D5 */
	.long op_DEC_zpagex	/* D6 */
	.long op_UNIMP_NOP	/* D7 */
	.long op_CLD		/* D8 */
	.long op_CMP_absy	/* D9 */
	.long op_PHX		/* DA */
	.long op_STP		/* DB */
	.long op_UNIMP_NOP	/* DC */
	.long op_CMP_absx	/* DD */
	.long op_DEC_absx	/* DE */
	.long op_UNIMP_NOP	/* DF */
	.long op_CPX_imm	/* E0 */
	.long op_SBC_indx	/* E1 */
	.long op_UNIMP_NOP	/* E2 */
	.long op_UNIMP_NOP	/* E3 */
	.long op_CPX_zpage	/* E4 */
	.long op_SBC_zpage	/* E5 */
	.long op_INC_zpage	/* E6 */
	.long op_UNIMP_NOP	/* E7 */
	.long op_INX		/* E8 */
	.long op_SBC_imm	/* E9 */
	.long op_NOP		/* EA */
	.long op_UNIMP_NOP	/* EB */
	.long op_CPX_abs	/* EC */
	.long op_SBC_abs	/* ED */
	.long op_INC_abs	/* EE */
	.long op_UNIMP_NOP	/* EF */
	.long op_BEQ		/* F0 */
	.long op_SBC_indy	/* F1 */
	.long op_SBC_ind	/* F2 */
	.long op_UNIMP_NOP	/* F3 */
	.long op_UNIMP_NOP	/* F4 */
	.long op_SBC_zpagex	/* F5 */
	.long op_INC_zpagex	/* F6 */
	.long op_UNIMP_NOP	/* F7 */
	.long op_SED		/* F8 */
	.long op_SBC_absy	/* F9 */
	.long op_PLX		/* FA */
	.long op_UNIMP_NOP	/* FB */
	.long op_UNIMP_NOP	/* FC */
	.long op_SBC_absx	/* FD */
	.long op_INC_absx	/* FE */
	.long op_UNIMP_NOP	/* FF */


/* emulation register map */
/* %edi = effective address */
/* %esi = memaccess scratch */
/* %edx = PC */
/* %cl = A */
/* %ch = P */
/* %bl = X */
/* %bh = Y */
/* %ax = opcode scratch */


	.globl op_BRA
op_BRA:
	GetFromPC_B;
	MemReadNorm;
	cbw;
	addw %ax, %dx;
	decl cycles_left; /* FIXME: is this nessecary? */
	Continue

	.globl op_BIT_ind
op_BIT_ind:
	GetInd
	DoBIT(Norm)
	Continue
	
	.globl op_LDA_ind
op_LDA_ind:
	GetInd
	DoLDA(Norm)
	Continue

	.globl op_STA_ind
op_STA_ind:
	GetInd
	DoSTA(Norm)
	Continue

	.globl op_STZ_abs
op_STZ_abs:
	GetAbs
	DoSTZ(Norm)
	Continue

	.globl op_STZ_absx
op_STZ_absx:
	GetAbsX
	DoSTZ(Norm)
	Continue

	.globl op_STZ_zpage
op_STZ_zpage:
	GetZPage
	DoSTZ(ZPage)
	Continue

	.globl op_STZ_zpagex
op_STZ_zpagex:
	GetZPageX
	DoSTZ(ZPage)
	Continue

	.globl op_EOR_ind
op_EOR_ind:	
	GetInd
	DoEOR(Norm)
	Continue
		
	.globl op_CMP_ind
op_CMP_ind:
	GetInd
	DoCMP(Norm)
	Continue

	.globl op_ADC_ind
op_ADC_ind:
	GetInd
	DoADC(Norm)
	Continue

	.globl op_SBC_ind
op_SBC_ind:
	GetInd
	DoSBC(Norm)
	Continue

	.globl op_AND_ind
op_AND_ind:
	GetInd
	DoAND(Norm)
	Continue

	.globl op_ORA_ind
op_ORA_ind:
	GetInd
	DoORA(Norm)
	Continue


	.globl op_65c02_JMP_ind
op_65c02_JMP_ind:
 	movl %edx, %edi
	MemReadW(Norm)

	movw %ax, %di
	MemReadW(Norm)
	
	movw %ax, %dx
	Continue

	.globl op_JMP_indx
op_JMP_indx:
 	movl %edx, %edi
	MemReadW(Norm)

	addb reg_X, %al
	adcb $0, %ah
	
	movw %ax, %di
	MemReadW(Norm)

	movw %ax, %dx
	Continue

	.globl op_PHX
op_PHX:
	movb reg_X, %bl
	push(%bl)
	Continue
	
	.globl op_PLX
op_PLX:
	pop(%bl)
	movb %bl, reg_X
	orb %bl, %bl
	FlagNZ
	Continue

	.globl op_PHY
op_PHY:
	movb reg_Y, %bh
	push(%bh)
	Continue
	
	.globl op_PLY
op_PLY:
	pop(%bh)
	movb %bh, reg_Y
	orb %bh, %bh
	FlagNZ
	Continue

	.globl op_INC_a
op_INC_a:
	DoINCa
	Continue
	
	.globl op_DEC_a
op_DEC_a:
	DoDECa
	Continue
	
	.globl op_BIT_imm
op_BIT_imm:
	GetImm
	DoBIT(Norm)
	Continue

	.globl op_BIT_absx
op_BIT_absx:
	GetAbsX
	DoBIT(Norm)
	Continue

	.globl op_BIT_zpagex
op_BIT_zpagex:
	GetZPageX
	DoBIT(ZPage)
	Continue

/* FIXME: wai and stp should do _something_ */
	.globl op_WAI
op_WAI:
	jmp op_UNIMP

	.globl op_STP
op_STP:
	jmp op_UNIMP

	.globl op_TSB_zpage
op_TSB_zpage:
	GetZPage
	DoTSB(ZPage)
	Continue

	.globl op_TSB_abs
op_TSB_abs:
	GetAbs
	DoTSB(Norm)
	Continue

	.globl op_TRB_zpage
op_TRB_zpage:
	GetZPage
	DoTRB(ZPage)
	Continue

	.globl op_TRB_abs
op_TRB_abs:
	GetAbs
	DoTRB(Norm)
	Continue

/* FIXME: how about an option to trap bad ops? an emu65c02a core maybe? */
	.globl op_UNIMP_NOP
op_UNIMP_NOP:
	Continue

/*
 * $Log: opc65c02.S,v $
 * Revision 1.6  1999/02/02 16:50:21  nyef
 * implimented op_JMP_indx
 *
 * Revision 1.5  1999/02/02 15:36:42  nyef
 * fixed PHX, PLX, PHY, and PLY instructions
 * changed op_JMP_indx to jmp to op_UNIMP
 *
 * Revision 1.4  1999/01/15 03:17:53  nyef
 * added symname/symlabel to symbol opc65c02_map for DJGPP.
 *
 * Revision 1.3  1998/11/01 23:30:06  nyef
 * fixed all ZPage addressing modes to use direct ZPage access.
 *
 * Revision 1.2  1998/10/12 19:26:21  nyef
 * fixed the behavior of all bad opcodes to be NOPs (as per 65c02 spec)
 * used a separate NOP routine to allow for the possibility of trapping
 * bad opcodes.
 *
 * Revision 1.1  1998/07/11 22:18:50  nyef
 * Initial revision
 *
 */
