/*
 * tms9918.h
 *
 * tms9918 vdp emulation.
 */

#ifndef TMS9918_H
#define TMS9918_H

/* $Id: tms9918.h,v 1.1 1999/06/08 01:49:21 nyef Exp $ */

typedef struct tms9918 *tms9918;

typedef unsigned char (*portread_t)(tms9918);
typedef void (*portwrite_t)(tms9918, unsigned char);
typedef int (*periodic_t)(tms9918);

struct tms9918 {
    portread_t readport0;
    portread_t readport1;
    portwrite_t writeport0;
    portwrite_t writeport1;
    periodic_t periodic;

    unsigned char flags;
    unsigned char readahead;
    unsigned char addrsave;
    unsigned char status;
    unsigned char *memory;
    unsigned char regs[8];
    unsigned short address;
    unsigned short scanline;
};

tms9918 tms9918_create(void);

#endif /* TMS9918_H */

/*
 * $Log: tms9918.h,v $
 * Revision 1.1  1999/06/08 01:49:21  nyef
 * Initial revision
 *
 */
